import { FireEnjinSubmitEvent, FireEnjinTriggerInput } from "@fireenjin/sdk";
import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Job } from "../../../sdk";
export declare class AppScope implements ComponentInterface {
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  fireenjinFetch: EventEmitter;
  floodteamOpenModal: EventEmitter<{
    component: string;
    componentProps?: any;
    cssClass?: string;
  }>;
  floodteamOpenPopover: EventEmitter<{
    component: string;
    componentProps?: any;
    cssClass?: string;
    event?: any;
  }>;
  jobId: string;
  invoiceType: "Water Remediation" | "Box Out" | "Contents" | "Reconstruction" | "Other";
  attachments: string[];
  job: Job;
  fetchJob(): Promise<void>;
  openSendEfileModal(event: any): Promise<void>;
  sendEmail(event: any, userId: any): Promise<void>;
  generatePdf(templateId: any, filename?: string): Promise<void>;
  send(event: any): Promise<void>;
  onSuccess(event: any): void;
  onChange(event: any): void;
  componentDidLoad(): Promise<void>;
  disconnectedCallback(): void;
  render(): any[];
}
